This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 239885 - htmlview launchmail/Preferred_Apps_Settings not recognized mail apps settings
htmlview launchmail/Preferred_Apps_Settings not recognized mail apps settings
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: htmlview (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-11 17:46 EDT by Frantisek Hanzlik
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 11:17:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Hanzlik 2007-05-11 17:46:42 EDT
Description of problem:

As of the early Fedora releases, there aren't respected mail apps switches
in preferred GNOME Mail Apps settings.
E.g. "mozilla -mail" or "seamonkey -mail" entered as preffered mail apps
launch mozilla/seamonkey browser, because "/usr/bin/launchmail" ignores (mail
invocations) switches.

Version-Release number of selected component (if applicable):
FC2+

How reproducible:
allways

Steps to Reproduce:
1.Launch in GNOME menu "System"
2. "Settings" -> ("Other Settings") -> "Preffered Applications"
3. In "Internet Apps" -> "Mail client" menu Mozilla/Seamonkey (installed
RPM from Extras rep) not appears as choice, and when added as "Custom"
app with "-mail" switch, this switch is perhaps passed to "/usr/bin/launchmail"
script from "htmlview" package, but isn't propagated to final application. 
  
Actual results:
Multi-func apps have stripped functional switches and then start in default mode
(browser mode in mozilla/seamonkey case).

Expected results:
Not as too much (why this bug stay several distros back?), but as minimal accept
switches at "Custom" menu option (when desired client isn't no longer
detected among other FC/Extras clients)

Additional info:
Comment 1 Matěj Cepl 2008-02-08 11:17:42 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]

Note You need to log in before you can comment on or make changes to this bug.